ata_hpa_resize
Prev | Chapter 5. libata Core Internals | Next

## Name

ata_hpa_resize — Resize a device with an HPA set

## Synopsis

`int ata_hpa_resize (` | struct ata_device * | dev`)`;

## Arguments

`dev`

  Device to resize

## Description

Read the size of an LBA28 or LBA48 disk with HPA features and resize it if required to the full size of the media. The caller must check the drive has the HPA feature set enabled.

## RETURNS

0 on success, -errno on failure.

Prev | Up | Next
ata_set_max_sectors | Home | ata_dev_select